#ifndef _LINER_BOX
#define _LINER_BOX

#include "ofMain.h"
#include "ofVec3f.h"
#include "geometry.h"

class linerBox {
	
	public:
		
		linerBox(float width, float height);
		
		void 		setPts();
		void 		draw(float offsetx, float offsety);
		void 		updatePts();
		
		ofVec3f 	midpt();
		
		//-----------------------------
		// starting point and angle.
		
		void 		matchMyStartToPointAngle(ofVec3f point, float angle);
		ofVec3f 	startPointTranslated;
		ofVec3f 	startPoint;
		float 		startAngle;
		void 		setStartPointAngle(ofVec3f start, float angle);
		
		
		ofVec3f 	pts[4];
		ofVec3f 	ptsTranslated[4];
		
		int 		diffSide;	// the difference in my side vs. their side
		ofVec3f 	position;
		float 		rotation;
		
		
		
};

#endif	